
// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

mu1 = 1.5;
sigma1 = 0.5;
mu2 = 3.5;
sigma2 = 2.5;
exact = nisp_productsa ( [mu1,mu2]' , [sigma1,sigma2]' );
expected.expectation = 5.25;
expected.var = 18.6875;
expected.S1 = 0.1638796;
expected.S2 = 0.7525084;
expected.S12 = 0.0836120;
expected.ST1 = 0.2474916;
expected.ST2 = 0.8361204;
assert_checkalmostequal ( exact.expectation , expected.expectation , 1.e-5 );
assert_checkalmostequal ( exact.var , expected.var , 1.e-5 );
assert_checkalmostequal ( exact.S1 , expected.S1 , 1.e-5 );
assert_checkalmostequal ( exact.S2 , expected.S2 , 1.e-5 );
assert_checkalmostequal ( exact.S12 , expected.S12 , 1.e-5 );
assert_checkalmostequal ( exact.ST1 , expected.ST1 , 1.e-5 );
assert_checkalmostequal ( exact.ST2 , expected.ST2 , 1.e-5 );

