
// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

mu=[0 0 0 0]';
sigma=[1 2 3 4]';
a = [1 1 1 1 0]';
exact = nisp_sumsa ( a , mu , sigma );
expected.expectation = 0;
expected.var = 30;
expected.S1 = 1/30;
expected.S2 = 4/30;
expected.S3 = 9/30;
expected.S4 = 16/30;
assert_checkalmostequal ( exact.expectation , expected.expectation , 1.e-5 );
assert_checkalmostequal ( exact.var , expected.var , 1.e-5 );
assert_checkalmostequal ( exact.S1 , expected.S1 , 1.e-5 );
assert_checkalmostequal ( exact.S2 , expected.S2 , 1.e-5 );

